Open SCAP Library

Public Member Functions | Data Fields
oval_state Struct Reference
OVAL » OVALDEF

An Oval_state instance is a collection of one or more characteristics pertaining to a specific object type. More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_state * | oval_state_new (struct oval_definition_model *, const char *id)
| Construct new intance of oval_state. More...
struct oval_state * | oval_state_clone (struct oval_definition_model *new_model, struct oval_state *old_state)
| Clone instance of oval_state and add it to the specified oval_definition_model. More...
void | oval_state_free (struct oval_state *)
| Free instance of oval_state.
Setters
void | oval_state_set_subtype (struct oval_state *, oval_subtype_t subtype)
| Sets attributes oval_state->subtype and oval_state->family. More...
void | oval_state_add_note (struct oval_state *, char *note)
| Appends a copy of the note parameter to attribute oval_state->notes. More...
void | oval_state_set_comment (struct oval_state *, char *comment)
| Sets a copy of the comment parameter to attribute oval_state->comment. More...
void | oval_state_set_deprecated (struct oval_state *, bool deprecated)
| Sets attribute oval_state->deprecated.
void | oval_state_set_version (struct oval_state *, int version)
| Sets attribute oval_state->version. More...
void | oval_state_set_operator (struct oval_state *, oval_operator_t)
| Sets attribute oval_state->operator.
void | oval_state_add_content (struct oval_state *, struct oval_state_content *content)
| Append instance of oval_state_content to attribute oval_state->state_contents. More...
Getters
oval_family_t | oval_state_get_family (struct oval_state *)
| Returns attribute oval_state->family.
const char * | oval_state_get_name (struct oval_state *)
| Returns the name of an oval_state. More...
oval_subtype_t | oval_state_get_subtype (struct oval_state *)
| Returns attribute oval_state->subtype.
struct oval_string_iterator * | oval_state_get_notes (struct oval_state *)
| Returns attribute oval_state->notes. More...
char * | oval_state_get_comment (struct oval_state *)
| Returns attribute oval_state->comment. More...
char * | oval_state_get_id (struct oval_state *)
| Returns attribute oval_state->id. More...
bool | oval_state_get_deprecated (struct oval_state *)
| Returns attribute oval_state->deprecated.
int | oval_state_get_version (struct oval_state *)
| Returns attribute oval_state->version.
int | oval_state_get_operator (struct oval_state *)
| Returns attribute oval_state->operator.
struct oval_state_content_iterator * | oval_state_get_contents (struct oval_state *)
| Returns attribute oval_state->contents. More...

## Data Fields
struct oval_definition_model * | model
oval_subtype_t | subtype
char * | comment
char * | id
int | deprecated
int | version
oval_operator_t | operator
struct oval_collection * | notes
struct oval_collection * | contents

## Detailed Description

An Oval_state instance is a collection of one or more characteristics pertaining to a specific object type.

The Oval_state is used by an during the evaluation of an Oval_test to determine if a set of items queried by an Oval_object on a instrumented host meet certain characteristics.

The documentation for this struct was generated from the following files:

- oval_state.c
- oval_definitions.h